Update outreach gross profit config
curl --request PUT \
--url https://your-instance.example.com/api/organizations/{organizationId}/outreach-gross-profit-config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entityType": "Contact",
"propertyKey": "loanGrossProfit"
}
'import requests
url = "https://your-instance.example.com/api/organizations/{organizationId}/outreach-gross-profit-config"
payload = {
"entityType": "Contact",
"propertyKey": "loanGrossProfit"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({entityType: 'Contact', propertyKey: 'loanGrossProfit'})
};
fetch('https://your-instance.example.com/api/organizations/{organizationId}/outreach-gross-profit-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"entityType": "Contact",
"propertyKey": "loanGrossProfit"
}
}{
"success": false,
"message": "Access denied"
}{
"success": false,
"message": "Access denied"
}{
"success": false,
"message": "Access denied"
}Organizations
Update outreach gross profit config
Sets (or clears) the Contact property used to calculate gross profit for outreach ROI. Body { entityType: "Contact", propertyKey: string }; sending null or an empty object clears the config. Admin-only (own org for Admin; any org for SuperAdmin).
PUT
/
api
/
organizations
/
{organizationId}
/
outreach-gross-profit-config
Update outreach gross profit config
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Pass null or {} to clear the config; otherwise must include entityType="Contact" and a non-empty propertyKey.
⌘I